libxml-xpathengine-perl_0.14-1_all.deb


Advertisement

Description

libxml-xpathengine-perl - re-usable XPath engine for DOM-like trees

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name libxml-xpathengine-perl
Package version 0.14
Package release 1
Package architecture all
Package type deb
Installed size 127 B
Download size 31.04 KB
Official Mirror archive.ubuntu.com
XML::XPathEngine provides an XPath engine, that can be re-used by other
module/classes that implement trees.
In order to use the XPath engine, nodes in the user module need to mimic
DOM nodes. The degree of similarity between the user tree and a DOM dictates
how much of the XPath features can be used. A module implementing all of the
DOM should be able to use this module very easily (you might need to add
the cmp method on nodes in order to get ordered result sets).
This module is derived from Matt Sergeant's XML::XPath.

Alternatives

Package Version Architecture Repository
libxml-xpathengine-perl_0.14-1_all.deb 0.14 all Ubuntu Main
libxml-xpathengine-perl - - -

Requires

Name Value
perl -

Download

Type URL
Binary Package libxml-xpathengine-perl_0.14-1_all.deb
Source Package libxml-xpathengine-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libxml-xpathengine-perl deb package:
    # sudo apt-get install libxml-xpathengine-perl

Files

Path
/usr/share/doc/libxml-xpathengine-perl/changelog.Debian.gz
/usr/share/doc/libxml-xpathengine-perl/copyright
/usr/share/man/man3/XML::XPathEngine.3pm.gz
/usr/share/man/man3/XML::XPathEngine::Boolean.3pm.gz
/usr/share/man/man3/XML::XPathEngine::Literal.3pm.gz
/usr/share/man/man3/XML::XPathEngine::NodeSet.3pm.gz
/usr/share/man/man3/XML::XPathEngine::Number.3pm.gz
/usr/share/perl5/XML/XPathEngine.pm
/usr/share/perl5/XML/XPathEngine/Boolean.pm
/usr/share/perl5/XML/XPathEngine/Expr.pm
/usr/share/perl5/XML/XPathEngine/Function.pm
/usr/share/perl5/XML/XPathEngine/Literal.pm
/usr/share/perl5/XML/XPathEngine/LocationPath.pm
/usr/share/perl5/XML/XPathEngine/NodeSet.pm
/usr/share/perl5/XML/XPathEngine/Number.pm
/usr/share/perl5/XML/XPathEngine/Root.pm
/usr/share/perl5/XML/XPathEngine/Step.pm
/usr/share/perl5/XML/XPathEngine/Variable.pm

Changelog

2018-01-01 - Damyan Ivanov <dmn@debian.org>
libxml-xpathengine-perl (0.14-1) unstable; urgency=medium
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Florian Schlichting ]
* Import Upstream version 0.14
* Drop fix-pod.patch, applied upstream
* Bump Standards-Version to 3.9.4 (update to copyright-format 1.0)
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ gregor herrmann ]
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
* Remove Ryan Niebur from Uploaders. Thanks for your work!
* Remove Jeremiah C. Foster from Uploaders on request of the MIA team.
Closes: #843753
[ Damyan Ivanov ]
* bump debhelper compatibility level to 10
* add fix-bareword-Step::-constants.patch fixing autopkgtests failure
* add pod-spelling.patch fixing a couple of typos
* declare conformance with Policy 4.1.3
2011-10-16 - gregor herrmann <gregoa@debian.org>
libxml-xpathengine-perl (0.13-1) unstable; urgency=low
[ Ryan Niebur ]
* Email change: Ryan Niebur -> ryan@debian.org
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ gregor herrmann ]
* New upstream release.
* Build depend on Test::More 0.88.
* Switch to source format 3.0 (quilt); remove quilt framework.
* debian/copyright: update formatting.
* Set Standards-Version to 3.9.2, remove version from perl build
dependency.
* Bump debhelper compatibility level to 8.
* Remove runtime dependency on libtest-simple-perl.
2009-08-09 - gregor herrmann <gregoa@debian.org>
libxml-xpathengine-perl (0.12-2) unstable; urgency=low
[ Nathan Handler ]
* debian/watch: Update to ignore development releases.
[ gregor herrmann ]
* New patch fix-pod.patch (closes: #537720). Add quilt framework.
* Set Standards-Version to 3.8.2 (no further changes).
* debian/copyright: adjust years for packaging copyright, add License-Alias.
2009-05-18 - Ryan Niebur <ryanryan52@gmail.com>
libxml-xpathengine-perl (0.12-1) unstable; urgency=low
[ gregor herrmann ]
* debian/control: Changed: Switched Vcs-Browser field to ViewSVN
(source stanza).
* debian/control: Added: ${misc:Depends} to Depends: field.
[ Ryan Niebur ]
* New upstream release
* Add myself to Uploaders
* Debian Policy 3.8.1
* debhelper 7
* machine readable copyright format
[ gregor herrmann ]
* debian/{control,copyright}: change my email address.
* debian/control: remove leading article from short description.
2008-04-15 - Damyan Ivanov <dmn@debian.org>
libxml-xpathengine-perl (0.11-1) unstable; urgency=low
[ gregor herrmann ]
* New upstream release, closes two Debian bugs:
- stringification overload broken (closes: #460297)
- "and" in Xpath(Engine) should be commutative (closes: #460281)
[ Damyan Ivanov ]
* another new upstream release
* add myself to Uploaders
2008-04-12 - gregor herrmann <gregor+debian@comodo.priv.at>
libxml-xpathengine-perl (0.09-1) unstable; urgency=low
* New upstream release.
* Refresh debian/rules, no functional changes.
* Add /me to Uploaders.

See Also

Package Description
libxml2-dev_2.9.4+dfsg1-6.1ubuntu1_amd64.deb Development files for the GNOME XML library
libxml2-doc_2.9.4+dfsg1-6.1ubuntu1_all.deb Documentation for the GNOME XML library
libxml2-utils_2.9.4+dfsg1-6.1ubuntu1_amd64.deb XML utilities
libxml2_2.9.4+dfsg1-6.1ubuntu1_amd64.deb GNOME XML library
libxmlrpc-epi-dev_0.54.2-1.2_amd64.deb Development files for libxmlrpc-epi0, a XML-RPC request library
libxmlrpc-epi0_0.54.2-1.2_amd64.deb XML-RPC request serialisation/deserialisation library
libxmlsec1-dev_1.2.25-1build1_amd64.deb Development files for the XML security library
libxmlsec1-gcrypt_1.2.25-1build1_amd64.deb Gcrypt engine for the XML security library
libxmlsec1-gnutls_1.2.25-1build1_amd64.deb Gnutls engine for the XML security library
libxmlsec1-nss_1.2.25-1build1_amd64.deb Nss engine for the XML security library
libxmlsec1-openssl_1.2.25-1build1_amd64.deb Openssl engine for the XML security library
libxmlsec1_1.2.25-1build1_amd64.deb XML security library
libxmu-dev_1.1.2-2_amd64.deb X11 miscellaneous utility library (development headers)
libxmu-headers_1.1.2-2_all.deb X11 miscellaneous utility library headers
libxmu6_1.1.2-2_amd64.deb X11 miscellaneous utility library
Advertisement
Advertisement